import request from '@/utils/request'

// 查询控制器报价列表
export function listInfo(query) {
  return request({
    url: '/controller/info/list',
    method: 'get',
    params: query
  })
}

// 查询控制器报价详细
export function getInfo(id) {
  return request({
    url: '/controller/info/' + id,
    method: 'get'
  })
}

// 新增控制器报价
export function addInfo(data) {
  return request({
    url: '/controller/info',
    method: 'post',
    data: data
  })
}

// 修改控制器报价
export function updateInfo(data) {
  return request({
    url: '/controller/info',
    method: 'put',
    data: data
  })
}

// 删除控制器报价
export function delInfo(id) {
  return request({
    url: '/controller/info/' + id,
    method: 'delete'
  })
}

// 导出控制器报价
export function exportInfo(query) {
  return request({
    url: '/controller/info/export',
    method: 'get',
    params: query
  })
}